Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.testing.unit
Class TestCommon

    java.lang.Object
      things.testing.unit.TestCommon

    public class TestCommon

extends java.lang.Object

Common tools.
group logger > date:GRP: :name:
test logger > date: :TEST:name:
group message > date:GRP:name
test message > date: :TEST:resu:name:PASS=#,FAIL=#,INCO=#,EXCP=#,ABRT=#
case message > date: : :CASE:resu:name:#:message
comment msg > date:COMMENT:

Version:
  1.0 Version History
  `EPG - Initial - 30 NOV 04`
Author:
  Erich P. Gatejen

Constructor Summary
`TestCommon()`

Method Summary
`static java.lang.String` | `formGroupLog(java.lang.String name, java.lang.String msg)` Logger for a group.
`static java.lang.String` | `formTestLog(java.lang.String name, java.lang.String msg)` Logger for a test.
`static java.lang.String` | `normalizeNames(java.lang.String in)` Normalize names all the same way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCommon

    public TestCommon()

Method Detail

### formTestLog

    public static java.lang.String formTestLog(java.lang.String name,
                                               java.lang.String msg)

  Logger for a test.

  Parameters:
    `name` - group name
  Returns:
    a properly formatted message.

### formGroupLog

    public static java.lang.String formGroupLog(java.lang.String name,
                                                java.lang.String msg)

  Logger for a group.

  Parameters:
    `name` - group name
  Returns:
    a properly formatted message.

### normalizeNames

    public static java.lang.String normalizeNames(java.lang.String in)

  Normalize names all the same way. Basically, replace any colons with underbars.

  Parameters:
    `in` - what to normalize
  Returns:
    the normalized. Nulls will be returned as nulls;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.